Bug 113437 - Hard drive light flashing.,
Hard drive light flashing.,
Product: Fedora
Classification: Fedora
Component: magicdev (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-13 17:21 EST by Karl Herrick
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 13:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Herrick 2004-01-13 17:21:53 EST
Description of problem:
Currently, as my computer sits in Gnome... or even KDE my hard drive
light will come on... come off... come on... come off. It is in
regular intervals and stays lit for only 1/2 a second, and then waits
2 seconds and comes on again. I have no programs running, and the
screensaver is even off. The system monitor shows nothing running, and
I have shut down all of my daemons. I had Redhat 9 installed and then
switched to Fedora, but I am finding no relief from this problem.
These are fresh installs after I installed all of the updates to each
of the OSes... has anyone else had this problem... or does anyone know
how to fix it?

Version-Release number of selected component (if applicable):

How reproducible:
Installed Fedora Core 1, or Redhat 9 then update using YUM, on this

Motherboard: Asus P4PE
CPU: Pentium-4 2.4ghz 512k cache
Memory: 512 mb pc2700
Hard Drive: 40gb... I think it is 100m/s

Steps to Reproduce:
1. Turn on computer
2. Log into Gnome or KDE
Expected results:
Hard drive light will flash on and off consistently forever.

Additional info:
I noticed if I killed MAGICDEV and another process I can't remember
now, it would considerably slow down the hard drive light flashing...
but it did not stop. This would happen for days on end, from a base
install of FC1 or Redhat 9 that had been updated. I wouldn't be doing
anything to the computer. NOTE: This same behavior does not occur with
 Mandrake 9.2, or Debian.

Also, this only happens if you are in X-Windows. If I went to runlevel
3 it wouldn't do this anymore.
Comment 1 Karl Herrick 2004-01-13 21:34:45 EST
The other process I killed was eggcups. I'm not sure if either of
these are the problem... but I am just saying when I killed these, it
slowed down the blinking of my hard drive light. Once again, this is
only Redhat 9 after updated using YUM and FC1 from a fresh install.
This does not happen with other distros on the same hardware.
Comment 2 Karl Herrick 2004-01-15 19:52:34 EST
I found out some additional information. In GNOME this problem occurs
because of magicdev. In KDE the problem occurs because of autorun. The
same problems occur because of both. I read some more on the net, and
it seems that it might be due to a combination of LITE-ON cdrom drives
and ASUS P4PE motherboard. One guy reports the same stuff happening in
Windows 98... ???

I have a LITE-ON 52x24x52x CDRW.
Comment 3 Karl Herrick 2004-01-15 21:58:51 EST
I pulled the LITE-ON cdrw drive out, and put in a different one, and
the blinking stopped... something to do with Autorun, and Magicdev.

Once again, the only way to get the hard drive light to shut off, is
to kill Autorun in KDE, or Magicdev in Gnome... or remove the LITE-ON
cdrw drive. I think these two processes need to be patched.
Comment 4 John (J5) Palmieri 2004-08-25 13:54:32 EDT
Closing.  Magicdev has been removed in favor of gnome-volume-manager
in devel branch.

Note You need to log in before you can comment on or make changes to this bug.